# configure and add MSS.
create_and_configure_core -core_vlnv {Actel:SmartFusion2MSS:MSS:1.1.500} -component_name {mymss} -params {}
mss_disable_instance -component_name {mymss} -instance_name {GPIO}
mss_disable_instance -component_name {mymss} -instance_name {RTC}
mss_disable_instance -component_name {mymss} -instance_name {MDDR}
mss_disable_instance -component_name {mymss} -instance_name {USB}
mss_disable_instance -component_name {mymss} -instance_name {MAC}
mss_disable_instance -component_name {mymss} -instance_name {I2C_0}
mss_disable_instance -component_name {mymss} -instance_name {I2C_1}
mss_disable_instance -component_name {mymss} -instance_name {SPI_0}
mss_disable_instance -component_name {mymss} -instance_name {SPI_1}
mss_disable_instance -component_name {mymss} -instance_name {FIC32_1}
mss_disable_instance -component_name {mymss} -instance_name {MMUART_1}
mss_disable_instance -component_name {mymss} -instance_name {WATCHDOG}
mss_disable_instance -component_name {mymss} -instance_name {DMA}

mss_enable_instance -component_name {mymss} -instance_name {MMUART_0}
mss_enable_instance -component_name {mymss} -instance_name {FIC32_0}

mss_configure_instance -component_name {mymss} -instance_name {RESET} \
    -params {"USER_MSS_RESET_N_USED:false" "FAB_M3_RESET_N_USED:true" "FPGA_RESET_N_USED:true"}
mss_save_instance_config -component_name {mymss} -instance_name {RESET}

mss_configure_instance -component_name {mymss} -instance_name {FIC32_0} \
    -params {"INTERFACE_TYPE:INTERFACE_AHB" "USE_BYPASS_MODE:false" "INTERFACE_MASTER:false" "INTERFACE_SLAVE:1" "EXPOSE_MASTER_IDENTITY:false"}
mss_save_instance_config -component_name {mymss} -instance_name {FIC32_0}

mss_configure_envm -component_name {mymss} -cfg_file "./envm.cfg"

generate_component -component_name {mymss} -recursive 0 

build_design_hierarchy 
